#
# spec file for package perl-Email-MIME-Attachment-Stripper
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-MIME-Attachment-Stripper
Version:        1.317
Release:        1.1
%define cpan_name Email-MIME-Attachment-Stripper
Summary:        strip the attachments from an email
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-MIME-Attachment-Stripper/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Email::Abstract)
BuildRequires:  perl(Email::MIME) >= 1.861
BuildRequires:  perl(Email::MIME::ContentType) >= 1.016
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Email::Abstract)
Requires:       perl(Email::MIME) >= 1.861
Requires:       perl(Email::MIME::ContentType) >= 1.016
%{perl_requires}

%description
Given a Email::MIME object, detach all attachments from the message and
make them available separately.

The message you're left with might still be multipart, but it should only
be multipart/alternative or multipart/related.

Given this message:

  + multipart/mixed
    - text/plain
    - application/pdf; disposition=attachment

The PDF will be stripped. Whether the returned message is a single
text/plain part or a multipart/mixed message with only the text/plain part
remaining in it is not yet guaranteed one way or the other.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.317
  see /usr/share/doc/packages/perl-Email-MIME-Attachment-Stripper/Changes
  1.317     2013-08-31 23:44:32 America/New_York
    update repo and bugtracker information
    no significant changes, but please see a note on the future:
    https://github.com/rjbs/Email-MIME-Attachment-Stripper/issues/2
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jul 11 2010 chris@computersalat.de
- update to 1.316
  * add repo location metadata
- 1.315     2008-07-08
  * http://rt.cpan.org/Public/Bug/Display.html?id=20536
    improve docs, improve handling of nested multipart
    thanks to DROLSKY and to the guys at Best Practical
- 1.314     2007-10-02
  * bug fix: bump up prereq on Email::MIME::Modifier
    (fixes a scalar deref issue, reported by JESSE)
- recreated by cpanspec 1.78
- changelog to changes file
- added bcond_with test
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
